### Method

# Ggit Repository revparse

#### Declaration [src]

    GgitObject*
    ggit_repository_revparse (
      GgitRepository* repository,
      const gchar* spec,
      GError** error
    )

#### Description [src]

Find an object, as specified by a revision string. See `man gitrevisions`, or the documentation for `git rev-parse` for information on the syntax accepted.

#### Parameters

`spec`

  Type: `const gchar*`

  The revision specification.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitObject`

A `GgitObject` or `NULL` if the revision could not be found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.